Bug 1884095 - ovn-kubernetes requires NetworkManager-ovs
Summary: ovn-kubernetes requires NetworkManager-ovs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.6.0
Assignee: Russell Teague
QA Contact: Yang Yang
URL:
Whiteboard:
Depends On:
Blocks: 1882667 1884323
TreeView+ depends on / blocked
 
Reported: 2020-10-01 01:24 UTC by Dan Williams
Modified: 2020-10-27 16:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: NetworkManager-ovs package is not installed on RHEL hosts Consequence: ovn-kubernetes fails initial setup Fix: Install NetworkManager-ovs package during RHEL scaleup Result: ovn-kubernetes initial setup succeeds
Clone Of:
Environment:
Last Closed: 2020-10-27 16:47:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-ansible pull 12242 0 None closed Bug 1884095: Update playbook to install NetworkManager-ovs 2021-02-11 21:14:50 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:47:22 UTC

Description Dan Williams 2020-10-01 01:24:15 UTC
ovn-kubernetes requires the NetworkManager-ovs package for initial node setup. It's already included in RHCOS, and needs to be present on UPI/RHEL7 nodes as well.

Comment 3 Yang Yang 2020-10-09 07:39:00 UTC
Verified on openshift-install 4.6.0-0.nightly-2020-10-08-210814.

Steps to verify it are as below:
1. Setup an OVN cluster
2. Scaleup the cluster with RHEL7 nodes
...
TASK [openshift_node : Install openshift support packages] *********************
Friday 09 October 2020  15:12:39 +0800 (0:00:00.175)       0:00:03.866 ******** 

changed: [10.0.32.6] => {"ansible_job_id": "192520227270.2738", "attempts": 1, "changed": true, "changes": {"installed": ["setools-console", "dracut-network", "skopeo", "runc", "containernetworking-plugins", "cri-tools", "nfs-utils", "NetworkManager-ovs", "dnsmasq", "lvm2", "iscsi-initiator-utils", "device-mapper-multipath", "mdadm", 
...

3. Check the NetworkManager-ovs is installed

# oc debug node/yanyang-qjwj8-w-a-l-rhel-0
Starting pod/yanyang-qjwj8-w-a-l-rhel-0-debug ...
To use host binaries, run `chroot /host`

Pod IP: 10.0.32.6
If you don't see a command prompt, try pressing enter.

sh-4.4# chroot /host
sh-4.2# rpm -qa|grep NetworkManager-ovs
NetworkManager-ovs-1.18.8-1.el7.x86_64

The RHEL nodes scaleup is successful and the NetworkManager-ovs is installed, hence move it to verified state.

Comment 4 Yang Yang 2020-10-09 07:46:30 UTC
The verification in comment #3 is using openshift-ansible-4.6.0-202010081244.p0.git.0.e1e3a20.el7

Comment 5 Yang Yang 2020-10-10 04:25:05 UTC
Moving back to ON_QA state since scaleup failures "No package matching 'NetworkManager-ovs' found availablewere" found in azure and aws

Comment 6 Yang Yang 2020-10-10 09:04:14 UTC
With the rhui optional repository configured, rhel node scaleup on OVN cluster goes well on all of platforms. Hence move it to verified state.

Comment 8 errata-xmlrpc 2020-10-27 16:47:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.